Change i18n in the Android app to be "Publish" rather than "Save" where appropriate
Closed, ResolvedPublic

Description

Per the parent; we're expecting to do this on the site in the first week of September, so any time after that would be great.

(This'll also distinguish more clearly between saved offline pages and images against publishing online changes to pages, which is nice.)

From https://github.com/wikimedia/apps-android-wikipedia/blob/master/app/src/main/res/values/strings.xml I think the main strings to change are:

  • menu_save_changes
  • edit_done

For consistency, ideally we'd also change:

  • edit_saved_successfully
  • edit_save_action_license_logged_in
  • edit_save_action_license_anon
  • abusefilter_title_warn
  • abusefilter_title_disallow

And possibly some places I missed.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2016, 6:05 PM
RHo added a subscriber: RHo.Apr 3 2017, 6:36 PM

Is there an upcoming change for desktop? Recommend keeping as 'Save' on Android until this is updated on web since text is still 'Save changes' on desktop, and 'Save' on mobile web.
Also, we currently use 'Add to reading list' so there is actually no confusion with saving pages offline, nor with action for images for which we use "Download" as the action text.

hi @Niedzielski @Dbrant – apols, on further reading of the parent task, this is deployed on all wikipedias except EN and DE, so we should aim for the same translations to match as appropriate.

Change 345399 had a related patch set uploaded (by Catrope; owner: Jforrester):
[operations/mediawiki-config@master] Show 'Publish' not 'Save' on Wikipedias except de/en

https://gerrit.wikimedia.org/r/345399

JMinor added a comment.Apr 4 2017, 3:59 PM

yeah, fwiw this change was already made on iOS (we jumped the gun).

Is there an upcoming change for desktop? Recommend keeping as 'Save' on Android until this is updated on web since text is still 'Save changes' on desktop, and 'Save' on mobile web.

It's moved to Publish everywhere except English and German which are probably coming in the next couple of weeks.

Also, we currently use 'Add to reading list' so there is actually no confusion with saving pages offline, nor with action for images for which we use "Download" as the action text.

True. It was the case when I was going to do this back in August 2016, though. :-) Good point.

Change 345406 merged by jenkins-bot:
[apps/android/wikipedia@master] i18n: Update "Save" to "Publish" for page edits

https://gerrit.wikimedia.org/r/345406

Can this be marked as Resolved?

Dbrant closed this task as Resolved.Apr 19 2017, 7:07 PM

it can!